Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration
Class SystemInfo

    java.lang.Object
      com.atlassian.bamboo.configuration.SystemInfo

    public class SystemInfo

extends Object

POJO for presenting the system runtime information.

Constructor Summary
`SystemInfo()`

Method Summary
`String` | `getAppServerContainer()`
`int` | `getAvailableProcessors()`
`String` | `getBambooHome()`
`String` | `getBuildPath()`
`String` | `getConfigPath()`
`long` | `getFreeMemory()`
`String` | `getJavaRuntime()`
`String` | `getJavaVendor()`
`String` | `getJavaVersion()`
`String` | `getJavaVm()`
`String` | `getJvmImplementationVersion()`
`String` | `getJvmVendor()`
`String` | `getJvmVersion()`
`String` | `getOperatingSystem()`
`String` | `getOperatingSystemArchitecture()`
`String` | `getSystemDate()`
`String` | `getSystemEncoding()`
`String` | `getSystemTime()`
`long` | `getTotalMemory()`
`long` | `getUsedMemory()`
`String` | `getUserLocale()`
`String` | `getUserName()`
`String` | `getUserTimezone()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemInfo

    public SystemInfo()

Method Detail

### getSystemDate

    public String getSystemDate()

### getSystemTime

    public String getSystemTime()

### getJavaVersion

    public String getJavaVersion()

### getJavaVendor

    public String getJavaVendor()

### getJvmVersion

    public String getJvmVersion()

### getJvmVendor

    public String getJvmVendor()

### getJvmImplementationVersion

    public String getJvmImplementationVersion()

### getJavaRuntime

    public String getJavaRuntime()

### getJavaVm

    public String getJavaVm()

### getUserName

    public String getUserName()

### getUserTimezone

    public String getUserTimezone()

### getUserLocale

    public String getUserLocale()

### getSystemEncoding

    public String getSystemEncoding()

### getOperatingSystem

    public String getOperatingSystem()

### getOperatingSystemArchitecture

    public String getOperatingSystemArchitecture()

### getAppServerContainer

    public String getAppServerContainer()

### getTotalMemory

    public long getTotalMemory()

### getFreeMemory

    public long getFreeMemory()

### getUsedMemory

    public long getUsedMemory()

### getAvailableProcessors

    public int getAvailableProcessors()

### getConfigPath

    public String getConfigPath()

### getBambooHome

    public String getBambooHome()

### getBuildPath

    public String getBuildPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.